package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class OAHireSalaryDataEntryFactory
{
    private OAHireSalaryDataEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("C3A0936C") ,com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry.class);
    }
    
    public static com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("C3A0936C") ,com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("C3A0936C"));
    }
    public static com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.IOAHireSalaryDataEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("C3A0936C"));
    }
}